Because it will be inappropriate for me to write in numbers. It will take much time and will be vulnerable for multiple mistakes.
The program that is machine dependent does not need in compilation, it is machine language. Thus the program will work faster as the programs, writte in different languages.

